package com.ruoyi.ie.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业报名划线对象 a_marjor_submit
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public class AMarjorSubmit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 院校录取id */
    @Excel(name = "院校录取id")
    private Long marjorEnrollId;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    /** 院校 */
    @Excel(name = "院校")
    private String universityName;

    private String level;

    /** 专业组 */
    @Excel(name = "专业组")
    private String majorGroup;

    /** 专业 */
    @Excel(name = "专业")
    private String majorName;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String majorDirection;

    /** 考生类型 */
    @Excel(name = "考生类型")
    private String examineeType;

    /** 录取类型:初录,补录 */
    @Excel(name = "录取类型:初录,补录")
    private String enrollType;

    /** 录取人数 */
    @Excel(name = "录取人数")
    private Integer enrollTotal;

    /** 综合分 */
    @Excel(name = "综合分")
    private Double score;

    /** 综合总分 */
    @Excel(name = "综合总分")
    private Integer scoreTotal;

    /** 文化 */
    @Excel(name = "文化")
    private Double culturalScore;

    /** 专业技能 */
    @Excel(name = "专业技能")
    private Double profScore;

    /** 校考 */
    @Excel(name = "校考")
    private Double schoolScore;

    /** 语 */
    @Excel(name = "语")
    private Double chinessScore;

    /** 数 */
    @Excel(name = "数")
    private Double mathScore;

    /** 英 */
    @Excel(name = "英")
    private Double englishScore;

    /** 自定义: 支持所有分英的算式函数 */
    @Excel(name = "自定义: 支持所有分英的算式函数")
    private String custCond;

    /** 临时 */
    private String test;

    private String enrollFormula;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setMarjorEnrollId(Long marjorEnrollId) 
    {
        this.marjorEnrollId = marjorEnrollId;
    }

    public Long getMarjorEnrollId() 
    {
        return marjorEnrollId;
    }
    public void setUniversityId(Long universityId) 
    {
        this.universityId = universityId;
    }

    public Long getUniversityId() 
    {
        return universityId;
    }
    public void setUniversityName(String universityName) 
    {
        this.universityName = universityName;
    }

    public String getUniversityName() 
    {
        return universityName;
    }
    public void setLevel(String level) {
        this.level = level;
    }


    public String getLevel() {
        return level;
    }
    public void setMajorGroup(String majorGroup)
    {
        this.majorGroup = majorGroup;
    }

    public String getMajorGroup() 
    {
        return majorGroup;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setMajorDirection(String majorDirection) 
    {
        this.majorDirection = majorDirection;
    }

    public String getMajorDirection() 
    {
        return majorDirection;
    }
    public void setExamineeType(String examineeType) 
    {
        this.examineeType = examineeType;
    }

    public String getExamineeType() 
    {
        return examineeType;
    }
    public void setEnrollType(String enrollType) 
    {
        this.enrollType = enrollType;
    }

    public String getEnrollType() 
    {
        return enrollType;
    }
    public void setEnrollTotal(Integer enrollTotal) 
    {
        this.enrollTotal = enrollTotal;
    }

    public Integer getEnrollTotal() 
    {
        return enrollTotal;
    }
    public void setScore(Double score) 
    {
        this.score = score;
    }

    public Double getScore() 
    {
        return score;
    }
    public void setCulturalScore(Double culturalScore) 
    {
        this.culturalScore = culturalScore;
    }

    public Integer getScoreTotal() {
        return scoreTotal;
    }

    public void setScoreTotal(Integer scoreTotal) {
        this.scoreTotal = scoreTotal;
    }

    public Double getCulturalScore()
    {
        return culturalScore;
    }
    public void setProfScore(Double profScore) 
    {
        this.profScore = profScore;
    }

    public Double getProfScore() 
    {
        return profScore;
    }
    public void setSchoolScore(Double schoolScore) 
    {
        this.schoolScore = schoolScore;
    }

    public Double getSchoolScore() 
    {
        return schoolScore;
    }
    public void setChinessScore(Double chinessScore) 
    {
        this.chinessScore = chinessScore;
    }

    public Double getChinessScore() 
    {
        return chinessScore;
    }
    public void setMathScore(Double mathScore) 
    {
        this.mathScore = mathScore;
    }

    public Double getMathScore() 
    {
        return mathScore;
    }
    public void setEnglishScore(Double englishScore) 
    {
        this.englishScore = englishScore;
    }

    public Double getEnglishScore() 
    {
        return englishScore;
    }
    public void setCustCond(String custCond) 
    {
        this.custCond = custCond;
    }

    public String getCustCond() 
    {
        return custCond;
    }
    public void setTest(String test) 
    {
        this.test = test;
    }

    public String getTest() 
    {
        return test;
    }

    public String getEnrollFormula() {
        return enrollFormula;
    }

    public void setEnrollFormula(String enrollFormula) {
        this.enrollFormula = enrollFormula;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("marjorEnrollId", getMarjorEnrollId())
            .append("universityId", getUniversityId())
            .append("universityName", getUniversityName())
            .append("majorGroup", getMajorGroup())
            .append("majorName", getMajorName())
            .append("majorDirection", getMajorDirection())
            .append("examineeType", getExamineeType())
            .append("enrollType", getEnrollType())
            .append("enrollTotal", getEnrollTotal())
            .append("score", getScore())
            .append("culturalScore", getCulturalScore())
            .append("profScore", getProfScore())
            .append("schoolScore", getSchoolScore())
            .append("chinessScore", getChinessScore())
            .append("mathScore", getMathScore())
            .append("englishScore", getEnglishScore())
            .append("custCond", getCustCond())
            .append("test", getTest())
            .toString();
    }
}
